#if !defined(AFX_DLGSCHEDULE_H__C2B733D1_90A0_4AC4_AA7C_9F0915D92AC3__INCLUDED_)
#define AFX_DLGSCHEDULE_H__C2B733D1_90A0_4AC4_AA7C_9F0915D92AC3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgSchedule.h : header file
//

#include "MsIpcSDK.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgSchedule dialog

class CDlgSchedule : public CDialog
{
// Construction
public:
	CDlgSchedule(CWnd* pParent = NULL);   // standard constructor
	Ms_Ipc_Schedule m_motionSchedule[7];
// Dialog Data
	//{{AFX_DATA(CDlgSchedule)
	enum { IDD = IDD_DLG_SCHEDULE };
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSchedule)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgSchedule)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnChkSelectAll();
	afx_msg void OnChkSunday();
	afx_msg void OnChkMonday();
	afx_msg void OnChkTuesday();
	afx_msg void OnChkWednesday();
	afx_msg void OnChkThursday();
	afx_msg void OnChkFriday();
	afx_msg void OnChkSaturday();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGSCHEDULE_H__C2B733D1_90A0_4AC4_AA7C_9F0915D92AC3__INCLUDED_)
